[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.Editing

Is the dataset in edit mode

## Declaration

Source position: db.pas line 1726

`public property TDataLink.Editing : Boolean read FEditing;`

## Description

Editing determines whether the dataset is in one of the edit states (dsEdit,dsInsert). It can be set into this mode by calling the TDatalink.Edit method. Never attempt to set the dataset in editing mode directly. The Edit method will perform the needed checks prior to setting the dataset in edit mode and will return True if the dataset was succesfully set in the editing state.

## See also

TDatalink.Edit |  | Set the dataset in edit mode, if possible
TDataset.Edit |  | Set the dataset in editing mode.

Documentation generated on: Feb 26 2014